org.apache.tiles.template

## Interface AttributeResolver

- All Known Implementing Classes:
    DefaultAttributeResolver

      public interface AttributeResolver

  Resolves an attribute, depending on the given parameters.
  Since:
    2.2.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Attribute` | `computeAttribute(TilesContainer container, Attribute attribute, String name, String role, boolean ignore, Object defaultValue, String defaultValueRole, String defaultValueType, Request request)` Computes the attribute.

- - ### Method Detail

    - #### computeAttribute

          Attribute computeAttribute(TilesContainer container,
                                     Attribute attribute,
                                     String name,
                                     String role,
                                     boolean ignore,
                                     Object defaultValue,
                                     String defaultValueRole,
                                     String defaultValueType,
                                     Request request)

      Computes the attribute.
      Parameters:
        `container` - The Tiles container to use.
        `attribute` - The attribute to return immediately, if not null.
        `name` - The name of the attribute.
        `role` - A comma-separated list of roles. If present, the attribute will be rendered only if the current user belongs to one of the roles.
        `ignore` - If `true` if the computed attribute is null, this problem will be ignored.
        `defaultValue` - The default value of the attribute. To use only if the attribute was not computed.
        `defaultValueRole` - The default comma-separated list of roles. To use only if the attribute was not computed.
        `defaultValueType` - The default type of the attribute. To use only if the attribute was not computed.
        `request` - TODO
      Returns:
        The computed attribute.
      Since:
        2.2.0

Copyright © 2000–2025 Apache Software Foundation. All rights reserved.